        .seat {
            width: 40px;
            height: 35px;
            margin: 5px;
            display: inline-block;
            cursor: pointer;
            text-align: center;
            line-height: 35px;
            font-size: 12px;
            border-radius: 6px 6px 0 0;
            position: relative;
            box-shadow: 0 2px 5px rgba(0,0,0,0.2);
        }
        .seat:after {
            content: '';
            position: absolute;
            bottom: -8px;
            left: 0;
            width: 100%;
            height: 8px;
            background: inherit;
            opacity: 0.7;
            border-radius: 0 0 4px 4px;
        }
        .available {
            background-color: #a4c639;
            color: white;
        }
        .selected {
            background-color: #f7d117;
            color: #333;
            font-weight: bold;
        }
        .occupied {
            background-color: #c62828;
            color: white;
            cursor: not-allowed;
        }
        .screen {
            background: linear-gradient(to bottom, #111, #444);
            color: white;
            padding: 15px 0;
            margin: 0 auto 40px;
            width: 80%;
            text-align: center;
            transform: perspective(500px) rotateX(-30deg);
            box-shadow: 0 30px 50px rgba(0,0,0,0.8);
            border-top: 3px solid #f7d117;
            border-bottom: 3px solid #f7d117;
            text-transform: uppercase;
            letter-spacing: 3px;
        }
        .hidden {
            display: none;
        }
        .admin-panel {
            border: 2px solid #333;
            padding: 20px;
            border-radius: 10px;
            margin-top: 30px;
        }
        .ticket-background {
            position: relative;
            background-size: cover;
            background-position: center;
            padding: 20px;
            border-radius: 10px;
        }

        .seat.reserved {
    background-color: purple; /* Color morado para asientos reservados */
    color: white; /* Color del texto */
    cursor: not-allowed; /* Cambiar el cursor para indicar que no se puede seleccionar */
}
